﻿class Car extends MovieClip {
	var speed:Number;
	var angleFactor:Number;
	
	public function Car() {
		this.speed = 0;
		this.angleFactor = Math.PI / 180;
	}
	
	public function steerRight():Void {
		this._rotation += 5;
	}
	public function steerLeft():Void {
		this._rotation -= 5;
	}
	public function startCruising():Void {
		this.speed = 5;
	}
	public function endCruising():Void {
		this.speed = 0;
	}
	public function cruise():Void {
		this._x += Math.cos(this._rotation * this.angleFactor) * this.speed;
		this._y += Math.sin(this._rotation * this.angleFactor) * this.speed;
	}
}